#######################################################################
# Configuration file for Mailtray 1.4
# Please see mailtray(1) or the README files for more information.
#
# It is recommended to chmod this file to 600 since you store your
# pasword inside it.
#
# *IMPORTANT* On Windows systems, use forward slashes (/) as directory
# separators. For example:
# C:/Windows/Program Files/Mailtray/
#
# Note: This file is imported in Python, so any valid Python code goes.
#
#######################################################################

# Set this to your mailtray directory
import sys
datadir = sys.prefix + '/share/mailtray/'
#datadir = './'
#datadir = 'C:/Windows/Program Files/Mailtray'
#import os
#datadir = os.path.expanduser('~/.mailtray')

# IMAP server to connect to
server = 'imaps://donald:duck@mail.example.com'

# Check every n seconds
interval = 30

# Command to execute when icon is clicked on. This is executed in a shell.
command = 'xterm -e mutt'
#command = 'opera -newtab http://webmail.xs4all.nl'
#command = 'C:/Program Files/Opera/opera.exe -newtab http://webmail.xs4all.nl'

# Print extra status messages to the terminal, may be useful for debugging.
verbose = False

# Folders to monitor
#
# Note that this is the only option that cannot be specified from the
# commandline and must be loaded from a file. 
#
# Defaults are:
# notify: True
# unseen: True
# subjects: False
# numsubjects: 5
folders = (
	# First folder
	{
		# Folder name (Case sensitive!)
		'folder': 'INBOX',

		# Change the icon when there are new messages?
		'notify': True,

		# Play sound on new message?
		'sound': True,

		# Consider UNSEEN messages (Without \Seen flag) as new? Normally an email
		# client sets the \Seen flag whenever you open the mailbox, even if you
		# did not open the message.
		'unseen': True,

		# Display a list of subjects for new messages in the tooltip?
		'subjects': True,

		# Number of subjects to display. 0 for all.
		'numsubjects': 10,
	},

	# Second folder
	{
		'folder': 'RSS',
		'notify': False,
		'subjectlist': False,
		'unseen': False,
		'sound': False,
		# This has no effect here
		'subjects': 0,
	},
	
	# More folders ...
)

# Extra information for the tooltip?
# Will be eval()-ed every run.
#import time
#tooltip = 'time.ctime()'
